Skip to main content
PUT
/
agents
/
{agentId}
/
conversations
/
{conversationId}
/
messages
Overwrite Conversation Messages
curl --request PUT \
  --url https://api.chat-dash.com/v1/public/agents/{agentId}/conversations/{conversationId}/messages \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "messages": [
    {
      "type": "text",
      "content": {
        "text": "<string>"
      },
      "metadata": {
        "model": "<string>",
        "total": 123
      },
      "createdAt": "<string>"
    }
  ]
}
'
import requests

url = "https://api.chat-dash.com/v1/public/agents/{agentId}/conversations/{conversationId}/messages"

payload = { "messages": [
{
"type": "text",
"content": { "text": "<string>" },
"metadata": {
"model": "<string>",
"total": 123
},
"createdAt": "<string>"
}
] }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
messages: [
{
type: 'text',
content: {text: '<string>'},
metadata: {model: '<string>', total: 123},
createdAt: '<string>'
}
]
})
};

fetch('https://api.chat-dash.com/v1/public/agents/{agentId}/conversations/{conversationId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Messages updated successfully"
}
{
"error": "An unexpected error occurred"
}

Headers

Authorization
string
required

All requests to the ChatDash API must be validated with the agency API Key found on your agency profile

Path Parameters

agentId
string
required

The ID of the agent

conversationId
string
required

The ID of the conversation

Body

application/json
messages
(Text Message · object | Image Message · object | Button Message · object | Choice Message · object | Card Message · object | Carousel Message · object | Debug Message · object | File Message · object | Location Message · object | Transition Message · object | Extension Message · object | Path Message · object)[]

Response

OK

message
string
Example:

"Messages updated successfully"